Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Invalid_Argument Class Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_Argument:

## Public Member Functions
| Invalid_Argument (const std::string &msg)
| Invalid_Argument (const std::string &msg, const std::string &where)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

An invalid argument

Definition at line 34 of file exceptn.h.

## Constructor & Destructor Documentation

Botan::Invalid_Argument::Invalid_Argument | ( | const std::string & | msg | ) |
| inline explicit

Definition at line 37 of file exceptn.h.

37 :
38 Exception("Invalid argument", msg) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24

Botan::Invalid_Argument::Invalid_Argument | ( | const std::string & | msg,
|  | const std::string & | where
| ) |  |
| inline explicit

Definition at line 40 of file exceptn.h.

40 :
41 Exception("Invalid argument", msg + " in " + where) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/utils/exceptn.h